#include "seqNameClass.h"


seqNameClass::seqNameClass(){
	array = NULL;
	neighbor_array = NULL;
}

// ---------------------------------------------

seqNameClass::~seqNameClass(){
	delete [] array;
	delete [] neighbor_array;
}

// ---------------------------------------------

void seqNameClass::init(long num){
	array = new string[num];
	neighbor_array = new set<long>[num];
}

// ---------------------------------------------

string& seqNameClass::operator[](long index){
	return array[index];
}

// ---------------------------------------------

void seqNameClass::saveNeighbor(long a_index, long b_index){
	neighbor_array[a_index].insert(b_index);
	neighbor_array[b_index].insert(a_index);
}

// ---------------------------------------------

set<long>& seqNameClass::loadNeighbor(long index){
	return neighbor_array[index];
}


